slepc-3.21.1 2024-04-26
Report Typos and Errors

# VecCreateCompWithVecs

Creates a new vector containing several subvectors, each stored separately, from an array of Vecs.

### Synopsis

    #include "slepcvec.h"
    PetscErrorCode VecCreateCompWithVecs(Vec *x,PetscInt n,Vec Vparent,Vec *V)

Collective

### Input Parameters

| x | - array of Vecs
| n | - number of child vectors
| Vparent | - (optional) template vector

### Output Parameter

| V | - new vector

### See Also

VecCreateComp()

### Level

developer

### Location

src/sys/vec/veccomp.c
Index of all sys routines
Table of Contents for all manual pages
Index of all manual pages